import vl from 'vega-lite-api';
const sortedAges = [
  '5-14 years',
  '15-24 years',
  '35-54 years',
  '25-34 years',
  '55-74 years',
  '75+ years'
];
export const viz = vl
  .markBar({ size: 24 })
  .transform(
    vl.aggregate(vl.sum('suicides_no').as('Suicides')).groupby(['year', 'age'])
  )
  .encode(
    vl.y().fieldQ('Suicides'),
    vl.x().fieldO('year'),
    vl
      .color()
      .fieldO('age')
      .scale({ scheme: 'viridis' })
      .sort(sortedAges),
    vl
      .order()
      .fieldO('age')
      .sort(sortedAges),
    vl.tooltip().fieldQ('Suicides')
  );
